Submit Deposit Travel Rule
curl --request POST \
--url https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"destination_type": "personal_wallet",
"ownership": "self",
"beneficiary_type": "individual",
"wallet_provider": "<string>",
"wallet_provider_other_name": "<string>",
"exchange": "<string>",
"exchange_other_name": "<string>",
"beneficiary_full_name": "<string>",
"beneficiary_country": "<string>",
"beneficiary_region": "<string>",
"beneficiary_organisation_name": "<string>",
"beneficiary_organisation_country": "<string>",
"beneficiary_organisation_region": "<string>"
}Private
Submit Deposit Travel Rule
Submit travel rule data for a deposit.
POST
/
api
/
private
/
wallet
/
{asset}
/
deposits
/
{deposit_id}
/
travel-rule
/
Submit Deposit Travel Rule
curl --request POST \
--url https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.digitalsurge.com.au/api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"destination_type": "personal_wallet",
"ownership": "self",
"beneficiary_type": "individual",
"wallet_provider": "<string>",
"wallet_provider_other_name": "<string>",
"exchange": "<string>",
"exchange_other_name": "<string>",
"beneficiary_full_name": "<string>",
"beneficiary_country": "<string>",
"beneficiary_region": "<string>",
"beneficiary_organisation_name": "<string>",
"beneficiary_organisation_country": "<string>",
"beneficiary_organisation_region": "<string>"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for submitting travel rule data for a specific deposit.
Response
201 - application/json
Serializer for submitting travel rule data for a specific deposit.